Bug 1128041 - RFE: Docker supports btrfs with selinux [NEEDINFO]
Summary: RFE: Docker supports btrfs with selinux
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Paul Moore
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 985875 1125108
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:21 UTC by Luwen Su
Modified: 2016-09-30 15:58 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 15:58:55 UTC
pmoore: needinfo? (lsu)


Attachments (Terms of Use)

Description Luwen Su 2014-08-08 07:21:44 UTC
Description of problem:
Due to https://github.com/docker/docker/pull/6452, it's forbidden for btrfs storage with selinux in docker.
So file this bug to track the status.

Comment 2 Daniel Farrell 2014-09-09 15:51:41 UTC
Linking back to two relevant Docker GitHub Issues[1][2].

/me cheers for Eric Paris to squash this bug ASAP.

[1]: https://github.com/docker/docker/issues/7318
[2]: https://github.com/docker/docker/issues/7952

Comment 3 Tom Coughlan 2014-09-16 19:19:55 UTC
Similar problem with unionmount or overlayfs. See:

https://bugzilla.redhat.com/show_bug.cgi?id=985875#c27

Comment 4 Daniel Farrell 2014-09-22 20:03:18 UTC
Lots of affected users chiming in on the relevant Docker GitHub Issue[1]. Many have included debug/version info, if that's helpful.

[1]: https://github.com/docker/docker/issues/7952

Comment 7 Daniel Walsh 2016-09-30 15:58:55 UTC
No I think we can close this.  We have a workaround now for people who want to use BTRFS and SELinux.


Note You need to log in before you can comment on or make changes to this bug.